package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxTransportZoneModel;

/**
 * nsx传输区域接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月24日
 */
public interface TransportZoneProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxTransportZoneModel model);

    BocloudResult remove(String zoneId);

    BocloudResult detail(String zoneId);

    BocloudResult update(NsxTransportZoneModel model);
}
